## Class Swift_Mime_EmbeddedFile

(line 22)

## Description

    Swift_Mime_SimpleMimeEntity
       |
       --Swift_Mime_Attachment
          |
          --Swift_Mime_EmbeddedFile

Located in File: /vendors/swiftMailer/classes/Swift/Mime/EmbeddedFile.php

##### An embedded file, in a multipart message.

- author: - Chris Corbyn

Classes extended from Swift_Mime_EmbeddedFile:

Swift_EmbeddedFile
  An embedded file, in a multipart message.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_EmbeddedFile __construct (Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache, [array $mimeTypes = array()])
int getNestingLevel ()

#### Constructor __construct (line 32)

#### Swift_Mime_EmbeddedFile __construct( Swift_Mime_HeaderSet $headers, Swift_Mime_ContentEncoder $encoder, Swift_KeyCache $cache, [array $mimeTypes = array()])

Overridden in child classes as:

Swift_EmbeddedFile::__construct()
  Create a new EmbeddedFile.

Swift_Image::__construct()
  Create a new EmbeddedFile.

Overrides : Swift_Mime_Attachment::__construct() Create a new Attachment with $headers, $encoder and $cache.

##### Creates a new Attachment with $headers and $encoder.

#### Parameters

- Swift_Mime_HeaderSet $headers:
- Swift_Mime_ContentEncoder $encoder:
- Swift_KeyCache $cache:
- array $mimeTypes: optional

#### Info

- access - public

#### Method getNestingLevel (line 46)

#### int getNestingLevel( )

Overrides : Swift_Mime_Attachment::getNestingLevel() Get the nesting level used for this attachment.

##### Get the nesting level of this EmbeddedFile.

Returns LEVEL_RELATED.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::$_userContentType -

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_Attachment

#### Swift_Mime_Attachment::__construct() - Create a new Attachment with $headers, $encoder and $cache.

#### Swift_Mime_Attachment::getDisposition() - Get the Content-Disposition of this attachment.

#### Swift_Mime_Attachment::getFilename() - Get the filename of this attachment when downloaded.

#### Swift_Mime_Attachment::getNestingLevel() - Get the nesting level used for this attachment.

#### Swift_Mime_Attachment::getSize() - Get the file size of this attachment.

#### Swift_Mime_Attachment::setDisposition() - Set the Content-Disposition of this attachment.

#### Swift_Mime_Attachment::setFile() - Set the file that this attachment is for.

#### Swift_Mime_Attachment::setFilename() - Set the filename of this attachment.

#### Swift_Mime_Attachment::setSize() - Set the file size of this attachment.

#### Inherited From Class Swift_Mime_SimpleMimeEntity

#### Swift_Mime_SimpleMimeEntity::__construct() - Create a new SimpleMimeEntity with $headers, $encoder and $cache.

#### Swift_Mime_SimpleMimeEntity::charsetChanged() - Receive notification that the charset of this entity, or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::encoderChanged() - Receive notification that the encoder of this entity or a parent entity has changed.

#### Swift_Mime_SimpleMimeEntity::generateId() - Generate a new Content-ID or Message-ID for this MIME entity.

#### Swift_Mime_SimpleMimeEntity::getBody() - Get the body of this entity as a string.

#### Swift_Mime_SimpleMimeEntity::getBoundary() - Get the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::getChildren() - Get all children added to this entity.

#### Swift_Mime_SimpleMimeEntity::getContentType() - Get the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::getDescription() - Get the description of this entity.

#### Swift_Mime_SimpleMimeEntity::getEncoder() - Get the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getHeaders() - Get the Swift_Mime_HeaderSet for this entity.

#### Swift_Mime_SimpleMimeEntity::getId() - Get the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::getMaxLineLength() - Get the maximum line length of the body of this entity.

#### Swift_Mime_SimpleMimeEntity::getNestingLevel() - Get the nesting level of this entity.

#### Swift_Mime_SimpleMimeEntity::setBody() - Set the body of this entity, either as a string, or as an instance of Swift_OutputByteStream.

#### Swift_Mime_SimpleMimeEntity::setBoundary() - Set the boundary used to separate children in this entity.

#### Swift_Mime_SimpleMimeEntity::setChildren() - Set all children of this entity.

#### Swift_Mime_SimpleMimeEntity::setContentType() - Set the Content-type of this entity.

#### Swift_Mime_SimpleMimeEntity::setDescription() - Set the description of this entity.

#### Swift_Mime_SimpleMimeEntity::setEncoder() - Set the encoder used for the body of this entity.

#### Swift_Mime_SimpleMimeEntity::setId() - Set the CID of this entity.

#### Swift_Mime_SimpleMimeEntity::setMaxLineLength() - Set the maximum line length of lines in this body.

#### Swift_Mime_SimpleMimeEntity::toByteStream() - Write this entire entity to a Swift_InputByteStream.

#### Swift_Mime_SimpleMimeEntity::toString() - Get this entire entity as a string.

#### Swift_Mime_SimpleMimeEntity::_clearCache() - Empty the KeyCache for this entity.

#### Swift_Mime_SimpleMimeEntity::_fixHeaders() - Re-evaluate what content type and encoding should be used on this entity.

#### Swift_Mime_SimpleMimeEntity::_getCache() - Get the KeyCache used in this entity.

#### Swift_Mime_SimpleMimeEntity::_getHeaderFieldModel() - Get the model data (usually an array or a string) for $field.

#### Swift_Mime_SimpleMimeEntity::_getHeaderParameter() - Get the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::_getIdField() - Get the name of the header that provides the ID of this entity

#### Swift_Mime_SimpleMimeEntity::_setHeaderFieldModel() - Set the model data for $field.

#### Swift_Mime_SimpleMimeEntity::_setHeaderParameter() - Set the parameter value of $parameter on $field header.

#### Swift_Mime_SimpleMimeEntity::__destruct() - Empties it's own contents from the cache.

#### Swift_Mime_SimpleMimeEntity::__toString() - Returns a string representation of this object.

Documentation generated on Fri, 12 Nov 2010 20:45:19 +0000 by phpDocumentor 1.4.3